/*
 * I2C.h
 *
 *  Created on: 26.01.2015
 *      Author: DL9MWE
 *      06.02.2015
 */

#ifndef I2C_H_
#define I2C_H_

uint16_t ui16I2C_Start_write8Bit_Stop(unsigned char I2C_device_address, unsigned char value);
uint8_t ui8I2C_Start_read8Bit_Stop(unsigned char I2C_device_address, uint16_t *error_code);

uint8_t ui8I2C_read_8Bit_Register(unsigned char I2C_device_address, unsigned char I2C_register_address, unsigned int *error_code);
uint16_t ui16I2C_write_register_value(unsigned char I2C_device_address, unsigned char I2C_register_address, unsigned char register_value);
uint16_t ui16I2C_read_multiple_chars(unsigned char I2C_device_address, unsigned char I2C_register_address, unsigned int numBytes, unsigned char* rxData);

#endif /* I2C_H_ */
