/*
 * PCF8574A.h
 *
 *  Created on: 21.10.2014
 *      Author: M
 */

#ifndef PCF8574A_H_
#define PCF8574A_H_

#define PCF8574A_I2C_ADDRESS 0x7E	// A2=A1=A0= 1

// Port-Pins etc. fr PCF8574A-Interrupt
#define	PORTPCF_VECTOR	PORT2_VECTOR
#define PORTPCF_DIR		P2DIR	// MSP-Port an dem der PCF8574A-Interrupt-Ausgang hngt
#define PORTPCF_IN		P2IN
#define PORTPCF_IES		P2IES
#define PORTPCF_IE		P2IE
#define	PORTPCF_IFG		P2IFG
#define	PCFINT_BIT		BIT5	// MSP-Pin an dem der PCF8574A-Interrupt-Ausgang hngt

uint16_t ui16PCF8574A_init(void);
uint16_t ui16PCF8574A_out(unsigned char byte);
uint8_t ui8PCF8574A_in(uint16_t *error_code);

#endif /* PCF8574A_H_ */
