/*
 * SW_I2C_lowlevel.h
 *
 *  Created on: 25.01.2015
 *      Author: DL9MWE
 *      02.02.2015
 */

#ifndef SW_I2C_LOWLEVEL_H_
#define SW_I2C_LOWLEVEL_H_

#define PxSEL P1SEL // Port selection
#define PxDIR P1DIR // Port direction
#define PxOUT P1OUT // Port output
#define PxIN  P1IN  // Port input

#define SDA   BIT7 // Controls SDA line (pull-up used for logic 1)
#define SCL   BIT6 // Controls SCL line (pull-up used for logic 1)

void vI2C_init(void);
void vI2Cll_set_start_condition(void);
void vI2Cll_set_stop_condition(void);
unsigned int ui16I2Cll_GetSlave_ack(void);
void vI2Cll_SendMaster_ack(void);
void vI2Cll_SendMaster_nack(void);

void vI2Cll_txByte(unsigned char data);
unsigned char ui8I2Cll_rxByte(void);

#endif /* SW_I2C_LOWLEVEL_H_ */
